Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.domain
Interface IEssUser

All Superinterfaces:
  IEssBaseObject, IEssExtendedObject, IEssProperties

public interface IEssUser
extends IEssExtendedObject, IEssProperties

The IEssUser is the user.

Nested Class Summary

Nested classes inherited from class com.essbase.api.base.IEssProperties
`IEssProperties.EEssPropertyMode`

Field Summary
`static int` | `PROP_AUTHENTICATOR`
`static int` | `PROP_COUNT_GROUPS`
`static int` | `PROP_DESCRIPTION`
`static int` | `PROP_EMAIL_ADDRESS`
`static int` | `PROP_FIRST_NAME`
`static int` | `PROP_GROUP_NAMES`
`static int` | `PROP_IDENTITY`
`static int` | `PROP_IS_ROLE_ADMINISTRATOR`
`static int` | `PROP_LAST_NAME`
`static int` | `PROP_NAME`
`static int` | `PROP_PASSWORD`
`static int` | `s_countProperties`
`static IEssValueAny.EEssDataType[]` | `s_propDataTypes`
`static IEssProperties.EEssPropertyMode[]` | `s_propModes`
`static java.lang.String[]` | `s_propNames`

Method Summary
`void` | `delete()` Deletes this user from the domain.
`IEssbase.EEssAuthenticatorType` | `getAuthenticatorType()` Gets the type of the authenticator.
`int` | `getCountGroups()` Gets the count of groups this users belongs to.
`java.io.Serializable` | `getCustomProperty(java.lang.String propName)` Gets a custom property.
`java.lang.String` | `getDescription()` Gets the user description.
`java.lang.String` | `getEmailAddress()` Gets the user email address.
`java.lang.String` | `getFirstName()` Gets the first name of the user.
`java.lang.String[]` | `getGroupNames()` Gets the names of groups this users belongs to.
`IEssIterator` | `getGroups()` Gets the list of groups this users belongs to.
`java.lang.String` | `getIdentity()` Gets the identity for external CSS users.
`java.lang.String` | `getLastName()` Gets the last name of the user.
`java.lang.String` | `getName()` Gets the user name.
`boolean` | `isRoleAdministrator()` Checks if user plays the role of administrator.
`void` | `refreshPropertyValues()` Refreshes the property values.
`void` | `setAuthenticatorType(IEssbase.EEssAuthenticatorType authenticator)` Sets the type of the authenticator.
`void` | `setCustomProperty(java.lang.String propName, java.io.Serializable value)` Sets a custom property.
`void` | `setDescription(java.lang.String desc)` Sets the user description.
`void` | `setEmailAddress(java.lang.String emailAddress)` Sets the user email address.
`void` | `setFirstName(java.lang.String firstName)` Sets the first name of the user.
`void` | `setIdentity(java.lang.String identity)` Sets the identity for external CSS users.
`void` | `setLastName(java.lang.String lastName)` Sets the last name of the user.
`void` | `setPassword(java.lang.String password)` Sets the user password.
`void` | `setRoleAdministrator(boolean isRoleAdmin)` Sets if user plays the role of administrator.
`void` | `updatePropertyValues()` Updates the property values.

Methods inherited from interface com.essbase.api.base.IEssExtendedObject
`clearClientCache, getParent, getParentBase, isClientCachingEnabled, setClientCachingEnabled`

Methods inherited from interface com.essbase.api.base.IEssProperties
`getCountProperties, getPropertyDataType, getPropertyDataType, getPropertyDataTypes, getPropertyId, getPropertyMode, getPropertyMode, getPropertyModes, getPropertyName, getPropertyNames, getPropertyValueAny, getPropertyValueAny, setPropertyValueAny, setPropertyValueAny`

Field Detail

### PROP_NAME

    public static final int PROP_NAME

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final int PROP_DESCRIPTION

See Also:
  Constant Field Values

### PROP_AUTHENTICATOR

    public static final int PROP_AUTHENTICATOR

See Also:
  Constant Field Values

### PROP_PASSWORD

    public static final int PROP_PASSWORD

See Also:
  Constant Field Values

### PROP_EMAIL_ADDRESS

    public static final int PROP_EMAIL_ADDRESS

See Also:
  Constant Field Values

### PROP_COUNT_GROUPS

    public static final int PROP_COUNT_GROUPS

See Also:
  Constant Field Values

### PROP_GROUP_NAMES

    public static final int PROP_GROUP_NAMES

See Also:
  Constant Field Values

### PROP_IS_ROLE_ADMINISTRATOR

    public static final int PROP_IS_ROLE_ADMINISTRATOR

See Also:
  Constant Field Values

### PROP_FIRST_NAME

    public static final int PROP_FIRST_NAME

See Also:
  Constant Field Values

### PROP_LAST_NAME

    public static final int PROP_LAST_NAME

See Also:
  Constant Field Values

### PROP_IDENTITY

    public static final int PROP_IDENTITY

See Also:
  Constant Field Values

### s_countProperties

    public static final int s_countProperties

See Also:
  Constant Field Values

### s_propNames

    public static final java.lang.String[] s_propNames

### s_propDataTypes

    public static final IEssValueAny.EEssDataType[] s_propDataTypes

### s_propModes

    public static final IEssProperties.EEssPropertyMode[] s_propModes

Method Detail

### getName

    public java.lang.String getName()
                             throws EssException

  Gets the user name.

  Specified by:
    `getName` in interface `IEssExtendedObject`
  Returns:
    The user name.
  Throws:
    `EssException` - if an error occurs.

### getFirstName

    public java.lang.String getFirstName()
                                  throws EssException

  Gets the first name of the user.

  Returns:
    The first name.
  Throws:
    `EssException` - if an error occurs.

### setFirstName

    public void setFirstName(java.lang.String firstName)
                      throws EssException

  Sets the first name of the user.

  Parameters:
    `firstName` - The first name.
  Throws:
    `EssException` - if an error occurs.

### getLastName

    public java.lang.String getLastName()
                                 throws EssException

  Gets the last name of the user.

  Returns:
    The last name.
  Throws:
    `EssException` - if an error occurs.

### setLastName

    public void setLastName(java.lang.String lastName)
                     throws EssException

  Sets the last name of the user.

  Parameters:
    `lastName` - The last name.
  Throws:
    `EssException` - if an error occurs.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the user description.

  Returns:
    The user description.
  Throws:
    `EssException` - if an error occurs.

### setDescription

    public void setDescription(java.lang.String desc)
                        throws EssException

  Sets the user description. Only the administrator is allowed to perform this operation. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `desc` - The user description.
  Throws:
    `EssException` - if an error occurs.

### setPassword

    public void setPassword(java.lang.String password)
                     throws EssException

  Sets the user password. Both the administrator and the user himself are allowed to perform this operation. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `password` - The user password. Password must be at least 6 characters.
  Throws:
    `EssException` - if an error occurs.

### getEmailAddress

    public java.lang.String getEmailAddress()
                                     throws EssException

  Gets the user email address.

  Returns:
    The user email address.
  Throws:
    `EssException` - if an error occurs.

### setEmailAddress

    public void setEmailAddress(java.lang.String emailAddress)
                         throws EssException

  Sets the user email address. Only the administrator is allowed to perform this operation. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `emailAddress` - The user email address.
  Throws:
    `EssException` - if an error occurs.

### getIdentity

    public java.lang.String getIdentity()
                                 throws EssException

  Gets the identity for external CSS users.

  Returns:
    The identify for external CSS users.
  Throws:
    `EssException` - if an error occurs.

### setIdentity

    public void setIdentity(java.lang.String identity)
                     throws EssException

  Sets the identity for external CSS users.

  Parameters:
    `identity` - The identify for external CSS users.
  Throws:
    `EssException` - if an error occurs.

### getCustomProperty

    public java.io.Serializable getCustomProperty(java.lang.String propName)
                                           throws EssException

  Gets a custom property.

  Parameters:
    `propName` - The custom property name.
  Returns:
    The property value.
  Throws:
    `EssException` - if an error occurs.

### setCustomProperty

    public void setCustomProperty(java.lang.String propName,
                                  java.io.Serializable value)
                           throws EssException

  Sets a custom property. Both the administrator and the user himself are allowed to perform this operation. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `propName` - The custom property name.
    `value` - The property value.
  Throws:
    `EssException` - if an error occurs.

### getCountGroups

    public int getCountGroups()
                       throws EssException

  Gets the count of groups this users belongs to.

  Returns:
    The count of group this user belongs to.
  Throws:
    `EssException` - if an error occurs.

### getGroupNames

    public java.lang.String[] getGroupNames()
                                     throws EssException

  Gets the names of groups this users belongs to.

  Returns:
    The names of group this user belongs to.
  Throws:
    `EssException` - if an error occurs.

### isRoleAdministrator

    public boolean isRoleAdministrator()
                                throws EssException

  Checks if user plays the role of administrator.

  Returns:
    true if user is administrator.
  Throws:
    `EssException` - if an error occurs.

### setRoleAdministrator

    public void setRoleAdministrator(boolean isRoleAdmin)
                              throws EssException

  Sets if user plays the role of administrator. Only the administrator is allowed to perform this operation.

  Parameters:
    `isRoleAdmin` - true if user is administrator.
  Throws:
    `EssException` - if an error occurs.

### getAuthenticatorType

    public IEssbase.EEssAuthenticatorType getAuthenticatorType()
                                                        throws EssException

  Gets the type of the authenticator.

  Returns:
    The authenticator type.
  Throws:
    `EssException` - if an error occurs.

### setAuthenticatorType

    public void setAuthenticatorType(IEssbase.EEssAuthenticatorType authenticator)
                              throws EssException

  Sets the type of the authenticator. Only the administrator is allowed to perform this operation.

  Parameters:
    `authenticator` - The authenticator type.
  Throws:
    `EssException` - if an error occurs.

### refreshPropertyValues

    public void refreshPropertyValues()
                               throws EssException

  Refreshes the property values. The JAPI cache for this object is refreshed with the latest values from the server, so that all the getXXX() methods will return the latest values.

  Specified by:
    `refreshPropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues().

  Specified by:
    `updatePropertyValues` in interface `IEssProperties`
  Throws:
    `EssException` - if an error occurs.

### getGroups

    public IEssIterator getGroups()
                           throws EssException

  Gets the list of groups this users belongs to.

  Returns:
    The list of group this user belongs to.
  Throws:
    `EssException` - if an error occurs.

### delete

    public void delete()
                throws EssException

  Deletes this user from the domain.

  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD